Page 1 of 1

Visual Studio 2015

Posted: Tue 11 Dec, 2018 21:13
by DrKnS
Господа, вопрос к тем, кто сам собирает (и, особенно, разрабатывает) Far и плагины: нужна ли еще поддержка сабжа, или 2017 достаточно?

Поддерживать не то, чтобы совсем сложно, но:
- Там есть не всё, некоторые вещи приходится эмулировать с переменным успехом.
- Зато там есть баги, которые приходится обходить.
- И на сайте, и на appveyor дистрибутив всё равно давно собирается в 2017 (иными словами - 2015 никем толком не тестируется).

P.S. Обращаю особое внимание тех, кто сам не собирает, но любит опросы, на третий пункт: с точки зрения пользователя не меняется ничего вообще.

Visual Studio 2015

Posted: Tue 11 Dec, 2018 21:21
by HaRT
DrKnS wrote:
Tue 11 Dec, 2018 21:13
там есть баги, которые приходится обходить
Я Фар не собираю, но зато кое-что по работе собираем 2015-ой Студией. Где почитать про самые злые её баги?

Visual Studio 2015

Posted: Tue 11 Dec, 2018 21:45
by Shmuel
С тех пор, как GCC sjlj перестал собирать, собираю (изредка) 2015-й студией. Но это так, для информации, всё равно пользуюсь ночными сборками.

Visual Studio 2015

Posted: Tue 11 Dec, 2018 22:09
by 2useven10
Разницы особой нет. Костыли не стоят того, чтобы их тащить.

Visual Studio 2015

Posted: Tue 11 Dec, 2018 22:10
by DrKnS
HaRT wrote:
Tue 11 Dec, 2018 21:21
Где почитать про самые злые её баги?
Там баги вида "внешне безобидные конструкции не компилируются или вообще приводят к ICE".
Shmuel wrote:
Tue 11 Dec, 2018 21:45
GCC sjlj перестал собирать
Видимо, речь таки не о sjlj(/dwarf/seh), а о win32(/posix)?
В 5306 изменение, приведшее к этому, было частично отменено, так что там теперь не хватает всего одной функции. Если вам очень надо собирать в win32-версии - сделать не проблема. Надо?

Visual Studio 2015

Posted: Tue 11 Dec, 2018 22:15
by Shmuel
DrKnS wrote:
Tue 11 Dec, 2018 22:10
Если вам очень надо собирать в win32-версии - сделать не проблема. Надо?
Да нет, проще мне будет поставить другой GCC.

Visual Studio 2015

Posted: Wed 12 Dec, 2018 01:04
by Yegor
Я за 2017.

Visual Studio 2015

Posted: Wed 12 Dec, 2018 05:18
by Abs
А после выхода VS 2019 встанет вопрос о прекращении поддержки 2017, надо понимать?

Visual Studio 2015

Posted: Wed 12 Dec, 2018 06:18
by 2useven10
Abs wrote:
Wed 12 Dec, 2018 05:18
А после выхода VS 2019 встанет вопрос о прекращении поддержки 2017, надо понимать?
Возможно.
Если бы мы собирались любым С++ компилятором (ну или почти, как к примеру 7z)
об этом можно было бы сожалеть. Но это уже давно не так, вовсю используются фичи С++ из последних стандартов.
Что использовать последнюю или предпоследнюю версию копмпилятора (обе доступны) - не принципиально.
А в случае с MS - желательно последнюю, т.к. после выхода новой версии баги в предыдущей обычно не правятся.

Visual Studio 2015

Posted: Wed 12 Dec, 2018 10:49
by DrKnS
Abs wrote:
Wed 12 Dec, 2018 05:18
А после выхода VS 2019 встанет вопрос о прекращении поддержки 2017, надо понимать?
It depends.
Если для установки финальной версии 2019 не будет требоваться Windows 10, если собранный бинарник можно будет по-прежнему запустить в 2k, если туда не напихают телеметрии etc. - то почему бы и нет, году в 2021 встанет.
SSD, увы, не резиновый, чтобы держать на нём весь спектр продуктов Microsoft вечно. Как и время, чтобы проверять работоспособность в каждом из них.

Visual Studio 2015

Posted: Wed 12 Dec, 2018 19:26
by skipik
За себя скажу, что перешёл на 2017 версию, ей собираю.
Тут комментарий от Victor_VG, чью сборку юзают некоторые пользователи.

Visual Studio 2015

Posted: Sun 16 Dec, 2018 18:40
by ctapmex
в морг. не стоит зависить от старых версий.
НО очень важно добавить в описание в файл, или на гитхабе
1. какая минимальная версия поддерживается
2. под какие версии OS идет сборка. win2000 еще актуально?

Visual Studio 2015

Posted: Wed 06 Feb, 2019 10:49
by Arama
Несмотря на то что сам сижу под Visual Studio 2012, а за новые технологии!